<?php

namespace App\Entities\LojaCompraItem;

use App\Utils\Builder;
use Exception;

class LojaCompraItemBuilder implements Builder {
	protected $id;
	protected $id_loja_compra;
	protected $id_loja_produto;
	protected $quantidade;
	protected $valor_unidade;
	protected $valor;
	protected $id_usuario;
	protected $data_criacao;
	protected $hora_criacao;
	

	public function build(): LojaCompraItem {

		$pessoa = new LojaCompraItem();

		return $pessoa;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id):LojaCompraItemBuilder {
		
		$this->id = $id;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $id_loja_compra
	 */
	public function setIdLojaCompra($id_loja_compra):LojaCompraItemBuilder {
		
		$this->id_loja_compra = $id_loja_compra;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setIdLojaProduto($id_loja_produto):LojaCompraItemBuilder {
		
		$this->id_loja_produto = $id_loja_produto;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade):LojaCompraItemBuilder {
		
		$this->quantidade = $quantidade;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $valor_unidade
	 */
	public function setValorUnidade($valor_unidade):LojaCompraItemBuilder {
		
		$this->valor_unidade = $valor_unidade;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor):LojaCompraItemBuilder {
		
		$this->valor = $valor;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario):LojaCompraItemBuilder {
		
		$this->id_usuario = $id_usuario;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao):LojaCompraItemBuilder {
		
		$this->data_criacao = $data_criacao;
		return $this;
	}
	
	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao):LojaCompraItemBuilder {
		
		$this->hora_criacao = $hora_criacao;
		return $this;
	}

}
